﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace SimpleSample
{
    public partial class Sample : ContentPage
    {
        public Sample()
        {
            InitializeComponent();
			ViewModel view = new ViewModel(series1,series2,series3);
            this.BindingContext = view;


            series1.ItemsSource = view.LiveData;
            series1.XBindingPath = "XValue";
            series1.YBindingPath = "YValue1";
            series1.ListenPropertyChange = true;

            series1.ColorModel.Palette = ChartColorPalette.Custom;
            series1.ColorModel.CustomBrushes = view.Colors1;


			series2.ItemsSource = view.LiveData;
			series2.XBindingPath = "XValue";
			series2.YBindingPath = "YValue2";
			series2.ListenPropertyChange = true;

			series2.ColorModel.Palette = ChartColorPalette.Custom;
			series2.ColorModel.CustomBrushes = view.Colors2;


			series3.ItemsSource = view.LiveData;
			series3.XBindingPath = "XValue";
			series3.YBindingPath = "YValue3";
			series2.ListenPropertyChange = true;

			series3.ColorModel.Palette = ChartColorPalette.Custom;
			series3.ColorModel.CustomBrushes = view.Colors3;
		}
    }
}
